Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.collections.shorts
Class ShortCollections.SimpleInterval

    java.lang.Object
      edu.emory.mathcs.util.collections.shorts.AbstractShortCollection
          edu.emory.mathcs.util.collections.shorts.AbstractShortSet
              edu.emory.mathcs.util.collections.shorts.AbstractShortSortedSet
                  edu.emory.mathcs.util.collections.shorts.AbstractShortInterval
                      edu.emory.mathcs.util.collections.shorts.ShortCollections.SimpleInterval

All Implemented Interfaces:
  ShortCollection, ShortInterval, ShortSet, ShortSortedSet

Enclosing class:
  ShortCollections

public static class ShortCollections.SimpleInterval
extends AbstractShortInterval

Nested Class Summary

Nested classes inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortInterval
`AbstractShortInterval.ComplementView, AbstractShortInterval.ConstrainedView, AbstractShortInterval.SimpleIntervalItemIterator, AbstractShortInterval.SimpleReverseIntervalItemIterator`

Nested classes inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortSortedSet
`AbstractShortSortedSet.AbstractComplementSubView, AbstractShortSortedSet.AbstractSubView, AbstractShortSortedSet.ForwardIntervalItemIterator, AbstractShortSortedSet.ReverseIntervalItemIterator`

Constructor Summary
`ShortCollections.SimpleInterval(short first, short last)`

Method Summary
`short` | `first()` Returns the smallest number in this set.
`short` | `getFirst()`
`short` | `getLast()`
`short` | `last()` Returns the largest number in this set.
`short` | `max()` The largest number that can be stored in this set.
`short` | `min()` The smallest number that can be stored in this set.

Methods inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortInterval
`addInterval, ceiling, ceilingInterval, clear, complementSet, contains, containsInterval, descendingIntervalIterator, descendingIterator, enclosingInterval, firstInterval, floor, floorInterval, higher, higherInterval, intervalCount, intervalIterator, isEmpty, iterator, lastInterval, lower, lowerInterval, pollFirst, pollFirstInterval, pollLast, pollLastInterval, removeInterval, retainInterval, size, subSet, toString`

Methods inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortSortedSet
`headSet, retainAll, tailSet, toCompactString`

Methods inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortSet
`addAll, equals, hashCode, removeAll`

Methods inherited from class edu.emory.mathcs.util.collections.shorts.AbstractShortCollection
`add, containsAll, remove, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.emory.mathcs.util.collections.shorts.ShortSortedSet
`headSet, tailSet, toCompactString`

Methods inherited from interface edu.emory.mathcs.util.collections.shorts.ShortSet
`add, addAll, containsAll, equals, hashCode, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ShortCollections.SimpleInterval

    public ShortCollections.SimpleInterval(short first,
                                           short last)

Method Detail

### getFirst

    public short getFirst()

  Specified by:
    `getFirst` in class `AbstractShortInterval`

### getLast

    public short getLast()

  Specified by:
    `getLast` in class `AbstractShortInterval`

### first

    public short first()

  Description copied from interface: `ShortSortedSet`
  Returns the smallest number in this set.

  Specified by:
    `first` in interface `ShortSortedSet`
  Overrides:
    `first` in class `AbstractShortInterval`

### last

    public short last()

  Description copied from interface: `ShortSortedSet`
  Returns the largest number in this set.

  Specified by:
    `last` in interface `ShortSortedSet`
  Overrides:
    `last` in class `AbstractShortInterval`

### min

    public short min()

  Description copied from interface: `ShortSet`
  The smallest number that can be stored in this set.

  Specified by:
    `min` in interface `ShortSet`
  Overrides:
    `min` in class `AbstractShortInterval`

### max

    public short max()

  Description copied from interface: `ShortSet`
  The largest number that can be stored in this set.

  Specified by:
    `max` in interface `ShortSet`
  Overrides:
    `max` in class `AbstractShortInterval`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD